VS Code检测PHP文件代码时候,提示错误:

The language server needs at least PHP 7.1 installed. Version found: 5.6.24

下载新版PHP,https://windows.php.net/download/,Windows 10系统,选择:PHP 7.2 VC15 x64 Non Thread Safe。

打开VS Code 文件 -> 首选项 -> 设置 -> 在 settings.json 中编辑

在 settings.json 中,加入:

"php.executablePath": "C:/Program Files/php-7.2.29-nts-Win32-VC15-x64/php.exe",
"php.validate.executablePath": "C:/Program Files/php-7.2.29-nts-Win32-VC15-x64/php.exe",

分享到: